﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfSchedule_Resize
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        bool isAppointmentDrggedOrResized = false;
        public MainPage()
        {
            this.InitializeComponent();
            Schedule.AppointmentEditorOpening += Schedule_AppointmentEditorOpening;
            Schedule.AppointmentEndDragging += Schedule_AppointmentEndDragging;
            Schedule.AppointmentEndResizing += Schedule_AppointmentEndResizing;

            ScheduleAppointment app = new ScheduleAppointment();
            app.Subject = "Resize";
            app.StartTime = DateTime.Now.Date.AddHours(3);
            app.EndTime = DateTime.Now.Date.AddHours(5);
            Schedule.Appointments.Add(app);
        }

        private void Schedule_AppointmentEndResizing(object sender, Syncfusion.UI.Xaml.Schedule.AppointmentEndResizingEventArgs e)
        {
            isAppointmentDrggedOrResized = true;
            ScheduleCommands.EditCommand.Execute(this.Schedule);

        }

        private void Schedule_AppointmentEndDragging(object sender, Syncfusion.UI.Xaml.Schedule.AppointmentEndDraggingEventArgs e)
        {
            isAppointmentDrggedOrResized = true;
            ScheduleCommands.EditCommand.Execute(this.Schedule);

        }

        private void Schedule_AppointmentEditorOpening(object sender, Syncfusion.UI.Xaml.Schedule.AppointmentEditorOpeningEventArgs e)
        {
            if (isAppointmentDrggedOrResized)
            {
                e.Cancel = true;
                isAppointmentDrggedOrResized = false;
            }

        }
    }
}
